<!DOCTYPE html>
<html lang="en"> 
<head>
<meta charset="utf-8">
<title>PHP: Basics</title>
<link rel="stylesheet" href="style.css" media="all">

</head>
<body id="home">
<div id="wrapper">
<?php include_once("header.php"); ?>
	<section>	
<?php include_once("navigation.php"); ?>
		<article>
<h2>PHP Basics</h2>
<p>Everything we do will be done from the server, for it is running the PHP that will execute the PHP scripts that we will write. 
<p>To make PHP work, you need to change the file extension of the file from .html to .php. 
<h2>Creating a Most Basic PHP Page</h2>
<p>Open up a blank TextWrangler file and write:
<pre>
&lt;!DOCTYPE html>
&lt;?php
echo "Hello World!";
?>
</pre>
<p>This is a legitimate HTML5 document, because you will recall that the <code>html</code>, <code>head</code>, <code>title</code> and <code>body</code> tags are optional. 
<p>Save the file on the server, and when you <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/helloWorld.php">open</a> it in your browser, you will see "Hello World!" in the upper left hand corner.
<p>You have just executed a php script and created an HTML page. If you look at the code, all the php will have disappeared. Only the HTML is left. 
<p> A few things to note about the PHP script. First, the statement starts with <code>&lt;?php</code> and ends with  <code>?></code>. That is how you format the PHP code, which is written between these brackets. 
<p>The statement ends in a semicolon, just like CSS statements do. That signifies to the PHP processor that the statement is complete. 
<p>The text is surrounded by quotes just like the attribute values in the HTML tag. This is because we are writing code, and content is something that the code works on, and has to be differentiated from the code. This is especially true of text, since there is a conflict in the way that regular writing uses certain characters, like space and return for example, and so it is separated from the code with quotes. HTML is the other way around, where all of the code is separated from the content by tags, because it's really about the content, while a coding language like PHP is really about the code.
<p>The last thing you see is the word <code>echo</code>. This is a language construct, and it is what makes PHP Hypertext friendly. Use <code>echo</code> to turn PHP code into HTML. 
<h2>Variables</h2>
<p>No one likes to do anything twice, and programing languages are full of ways to optimize the code. Just as CSS centralizes the instructions for how the web page looks, and PHP modularizes the HTML web site into a number of components, programing languages create variables and give them names to optimize the code. This is how to write the last statement using a <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/variable.php">variable</a>:
<pre>
&lt;!DOCTYPE html>
&lt;?php
$myString = "Hello!";
echo $myString;
echo "I'm a PHP script!";
?>
</pre>
<p>The dollar sign <code>$</code> signifies that myString is a variable, and the equal sign <code>=</code> assigns it to the text "Hello". When this variable is echoed, it writes out "Hello". The savings in this example are not exactly spectacular, but you get the idea. It saves programers from having to write and update the same code over and over again.
<h2>Functions</h2>
<p>Another way that programming optimizes is to give names to common routines that it has to perform. These are called functions, and they are more than variables, because they often act on information, as in this <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/function.php">example</a>. 
<pre>
&lt;!DOCTYPE html>
&lt;?php
function myGreeting($Name){
    echo "Hello there ". $Name . "!<br />";
}
myGreeting("Jane Doe");
myGreeting("John Doe");
myGreeting("Barbie");
myGreeting("Ken");
myGreeting("America");
echo "How Are You?";
?></pre>
<p>The computer runs down the page just as in HTML. When it gets to myGreeting, it takes the value in the parentheses and passes it to the variable "$name." The function then operates on that variable, in this case concatenating "hello there " with the name, an exclamation mark and a line-break element. These three things are concatenated, or brought together, by the period. The entire result is then printed, and the computer goes to the next line and repeats the entire procedure over again, till the end, where it prints "How are You?"
<h2>Operators</h2>
<p>Computers control the flow of electrons in circuits that are either on or off. Controlling this flow gives rise to how a computer works, and how computer languages work. We say that a program is running, because even if it does nothing on the screen, the flow is cycling, waiting for something to trigger a change in the flow.  
<p>Operators manipulate this flow, using simple logic and math in creative ways. Basic logic structures the flow and determines how the result is to be assigned; if this is equal to that or this and that. There are boolean operators that signify the outcome of the flow as true or false, causal statements, that say if condition is met, do that, or else  it redirects the flow in another direction, and lots of mathematical operators that go way beyond addition and subtraction. 
<p>PHP's use is primarily connected up with databases that store the snippets of content that PHP can pre-process into HTML pages. To do that it spends a lot of the time talking to databases and requesting and looping through the content to organize it into HTML pages. We are not going to go any further into the PHP language itself, but know that many of the larger sites use this kind of server side scripting. 
		</article>
	</section>
<?php include_once("footer.php"); ?>
</div>
</body>
</html>