<!DOCTYPE html>
<html lang="en"> 
<head>
<meta charset="utf-8">
<title>Modular Web Sites with PHP</title>
<link rel="stylesheet" href="style.css" media="all">

</head>
<body id="includes">
<div id="wrapper">
<?php include_once("header.php"); ?>
	<section>	
<?php include_once("navigation.php"); ?>
		<article>
<h2>Includes</h2>
<p>You only learn something if it is truly useful. In that way, PHP provides a very powerful function to modularize the website with a bare minimum of code: PHP <code>include</code>. <code>Include</code> takes a file name and simply inserts that file's contents into the script that issued the <code>include</code> command.
 <p>This means that you can create a common menu file that you want all your web pages to include. When you add a new page to your site, for example, instead of having to update the links on several web pages, you can simply change the one file.
To create a common menu file that all our pages will use, save a blank file as "navigation.html" in the same directory as the index.html and paste in the <code>nav</code> element. We then plug that menu into our index page, replacing the <code>nav</code> element with the following code: 
<pre>
&lt;?php include("navigation.html"); ?>
</pre>
<p>That's it. When a browser makes a request for your index page, it will include the code from your navigation.html file. And you can do this with the header, the footer, and any other parts of your web site that remains the same throughout the web site. 
<p>The <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/PHP-example/include.php">example</a> I've prepared does exactly that. The one thing I added was an ability to give the user feedback on the page they are on by adding both an id to each page and a unique class to each menu, and when they coincide, the menu lights up to show the current page. 
<p>Visitors do not see the PHP code. All the PHP is processed out. What remains is HTML, as if it had been written as one HTML document. 
		</article>
	</section>
<?php include_once("footer.php"); ?>
</div>
</body>
</html>