<!DOCTYPE html>
<html lang="en"> 
<head>
<meta charset="utf-8">
<title>PHP: Creating a Basic Page</title>
<link rel="stylesheet" href="style.css" media="all">

</head>
<body id="page">
<div id="wrapper">
<?php include_once("header.php"); ?>
	<section>	
<?php include_once("navigation.php"); ?>
		<article>
<h2>Creating a Basic PHP Page</h2>
<p>Open up a blank TextWrangler file and write:
<pre>
&lt;!DOCTYPE html>
&lt;?php
echo "Hello World!";
?>
</pre>
<p>This is a legitimate HTML5 document, because you will recall that the <code>html</code>, <code>head</code>, <code>title</code> and <code>body</code> tags are optional. 
<p>Save the file on the server, and when you <a href="http://circularcreation.com/clients/parsons_11-fall/stuff/helloWorld.php">open</a> it in your browser, you will see "Hello World!" in the upper left hand corner.
<p>You have just executed a php script and created an HTML page. If you look at the code, all the php will have disappeared. Only the HTML is left. 
<p> A few things to note about the PHP script. First, the statement starts with <code>&lt;?php</code> and ends with  <code>?></code>. That is how you format the PHP code, which is written between these brackets. 
<p>The statement ends in a semicolon, just like CSS statements do. That signifies to the PHP processor that the statement is complete. 
<p>The text is surrounded by quotes just like the attribute values in the HTML tag. This is because we are writing code, and content is something that the code works on, and has to be differentiated from the code. This is especially true of text, since there is a conflict in the way that regular writing uses certain characters, like space and return for example, and so it is separated from the code with quotes. HTML is the other way around, where all of the code is separated from the content by tags, because it's really about the content, while a coding language like PHP is really about the code.
<p>The last thing you see is the word <code>echo</code>. This is a language construct, and it is what makes PHP Hypertext friendly. Use <code>echo</code> to turn PHP code into HTML. 
		</article>
	</section>
<?php include_once("footer.php"); ?>
</div>
</body>
</html>